Get a list of Frequency types Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/static/frequencies/{type}

Path parameters

  • type string Required

    Optional parameter. Type parameter is optional and defaults to all options. Valid optional options are [single, recurring].

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • name string
      • value string
      • unitCount integer
      • unit string
      • annualised_multiplier integer
GET /api/v1/static/frequencies/{type}
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/static/frequencies/{"summary" => "When the value is omitted", "value" => ""}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": [
    {
      "name": "Daily",
      "value": "daily",
      "unitCount": 1,
      "unit": "day",
      "annualised_multiplier": 365
    },
    {
      "name": "Weekly",
      "value": "weekly",
      "unitCount": 1,
      "unit": "week",
      "annualised_multiplier": 52.143
    },
    {
      "name": "Fortnightly",
      "value": "fortnightly",
      "unitCount": 2,
      "unit": "week",
      "annualised_multiplier": 26.0715
    },
    {
      "name": "Four Weekly",
      "value": "four_weekly",
      "unitCount": 4,
      "unit": "week",
      "annualised_multiplier": 13.03575
    },
    {
      "name": "Monthly",
      "value": "monthly",
      "unitCount": 1,
      "unit": "month",
      "annualised_multiplier": 12
    },
    {
      "name": "Bimonthly",
      "value": "bimonthly",
      "unitCount": 2,
      "unit": "month",
      "annualised_multiplier": 6
    },
    {
      "name": "Quarterly",
      "value": "quarterly",
      "unitCount": 3,
      "unit": "month",
      "annualised_multiplier": 4
    },
    {
      "name": "Biannually",
      "value": "biannually",
      "unitCount": 6,
      "unit": "month",
      "annualised_multiplier": 2
    },
    {
      "name": "Annually",
      "value": "annually",
      "unitCount": 1,
      "unit": "year",
      "annualised_multiplier": 1
    }
  ]
}